Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 567420 - dev-db/percona-toolkit-2.2.16 version bump
Summary: dev-db/percona-toolkit-2.2.16 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Ruppert (idl0r)
URL: https://www.percona.com/doc/percona-t...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-03 06:04 UTC by Tomáš Mózes
Modified: 2016-03-16 18:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Mózes 2015-12-03 06:04:44 UTC
v2.2.16 released 2015-11-09

Percona Toolkit 2.2.16 has been released. This release contains 3 new features and 2 bug fixes.

New Features:

    1491261: When using MySQL 5.6 or later, and innodb_stats_persistent option is enabled (by default, it is enabled), then pt-online-schema-change will now run with the --analyze-before-swap option. This ensures that queries continue to use correct execution path, instead of switching to full table scan, which could cause possible downtime. If you do not want pt-online-schema-change to run ANALYZE on new tables before the swap, you can disable this behavior using the --no-analyze-before-swap option.
    1402051: pt-online-schema-change will now wait forever for slaves to be available and not be lagging. This ensures that the tool does not abort during faults and connection problems on slaves.
    1452895: pt-archiver now issues ‘keepalive’ queries during and after bulk insert/delete process that takes a long time. This keeps the connection alive even if the innodb_kill_idle_transaction variable is set to a low value.

Bug Fixes:

    1488685: The --filter option for pt-kill now works correctly.
    1494082: The pt-stalk tool no longer uses the -warn option when running find, because the option is not supported on FreeBSD.

Changelog

    Fixed bug 1452895: pt-archiver dies with “MySQL server has gone away” when innodb_kill_idle_transaction set to low value and bulk insert/delete process takes too long time
    Fixed bug 1488685: pt-kill option –filter does not work
    Feature 1402051: pt-online-schema-change should reconnect to slaves
    Fixed bug 1491261: pt-online-schema-change, MySQL 5.6, and InnoDB optimizer stats can cause downtime
    Fixed bug 1494082: pt-stalk find -warn option is not portable
    Feature 1389041: Document that pt-table-checksum has high likelihood to skip a table when row count is around chunk-size * chunk-size-limit
Comment 1 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2016-03-16 18:42:07 UTC
2.2.17 has just been added. Thanks!